<?php

/**
 * ResolutionPluginBeforeSave
 *
 * @author Tomasz Świenty
 * @version 0.1
 * @copyright Copyright (c) eDokumenty
 */
final class ResolutionPluginBeforeSave {


    /**
     * @param $args
     * @return bool
     * @throws RequestAbortException
     */
    public static function init($args) {

        if (!isset($args['container']) OR !is_a($args['container'], 'ContractPlugin')) {
            return FALSE;
        }

        // dane z pól
        // $args['document']->data

        $cHWND = Application::getShortName(__CLASS__.__LINE__);

        if (ConfirmBox::sweetConfirm($cHWND, ['html' => 'Czy na pewno chcesz zapisać'], NULL, ConfirmBox::CONFIRM_YES|ConfirmBox::CONFIRM_CANCEL) == ConfirmBox::CONFIRM_YES) {
            // to pozwól zapisać
        }

        return TRUE;

    }

}

if (isset($args)) {
    ResolutionPluginBeforeSave::init($args);
}
